Bug 12441 - search.pl has incorrect reference to OPACdefaultSortField and OPACdefaultSortOrder
Summary: search.pl has incorrect reference to OPACdefaultSortField and OPACdefaultSort...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Hayley Mapley
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-18 04:59 UTC by David Cook
Modified: 2019-10-14 20:02 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00, 18.11.05


Attachments
Bug 12441: Search.pl conditional checks and displays using same syspref (1.53 KB, patch)
2019-03-14 03:54 UTC, Hayley Mapley
Details | Diff | Splinter Review
Bug 12441: Search.pl conditional checks and displays using same syspref (1.57 KB, patch)
2019-03-30 19:09 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 12441: Search.pl conditional checks and displays using same syspref (1.63 KB, patch)
2019-03-31 20:03 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Cook 2014-06-18 04:59:49 UTC
search.pl checks OPACdefaultSortField and OPACdefaultSortOrder, but shows defaultSortField and defaultSortOrder.

Not really a problem since the OPAC sysprefs should always have some value in them, but it's a good idea to use the correct sysprefs in the conditional anyway...
Comment 1 David Cook 2015-01-15 00:47:15 UTC
This may or may not be fixed... will have to double-check this one of these days...
Comment 2 Hayley Mapley 2019-03-14 03:54:12 UTC
Created attachment 86592 [details] [review]
Bug 12441: Search.pl conditional checks and displays using same syspref

Script search.pl checks OPACdefaultSortField and OPACdefaultSortOrder, but
shows defaultSortField and defaultSortOrder when using Advanced Search
in the staff client.

Test plan:
Apply the patch and then check that the Advanced Search uses
defaultSortOrder and defaultSortField sysprefs instead of the OPAC
sysprefs in the conditional. Check that sort behaviour in Advanced
Search still functions as expected. (It should do - this doesn't change
what displays, just improves consistency).

Sponsored-by: Catalyst IT
Comment 3 Michal Denar 2019-03-30 19:09:17 UTC
Created attachment 87239 [details] [review]
Bug 12441: Search.pl conditional checks and displays using same syspref

Script search.pl checks OPACdefaultSortField and OPACdefaultSortOrder, but
shows defaultSortField and defaultSortOrder when using Advanced Search
in the staff client.

Test plan:
Apply the patch and then check that the Advanced Search uses
defaultSortOrder and defaultSortField sysprefs instead of the OPAC
sysprefs in the conditional. Check that sort behaviour in Advanced
Search still functions as expected. (It should do - this doesn't change
what displays, just improves consistency).

Sponsored-by: Catalyst IT

Signed-off-by: Michal Denar <black23@gmail.com>
Comment 4 Katrin Fischer 2019-03-31 20:03:54 UTC
Created attachment 87245 [details] [review]
Bug 12441: Search.pl conditional checks and displays using same syspref

Script search.pl checks OPACdefaultSortField and OPACdefaultSortOrder, but
shows defaultSortField and defaultSortOrder when using Advanced Search
in the staff client.

Test plan:
Apply the patch and then check that the Advanced Search uses
defaultSortOrder and defaultSortField sysprefs instead of the OPAC
sysprefs in the conditional. Check that sort behaviour in Advanced
Search still functions as expected. (It should do - this doesn't change
what displays, just improves consistency).

Sponsored-by: Catalyst IT

Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2019-03-31 20:04:14 UTC
Good catch!
Comment 6 Nick Clemens 2019-04-05 13:07:57 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-04-15 10:53:25 UTC
Pushed to 18.11.x for 18.11.05
Comment 8 Lucas Gass 2019-04-15 17:33:22 UTC
backported to 18.05.x for 18.05.12